Subject: Re: [lemonade] I-D ACTION:draft-ietf-lemonade-imap-notify-06.txt

From: Alexey Melnikov <[email-masked]>
Date: Sun, 17 Aug 2008 18:06:23 +0100

Timo Sirainen wrote:

> On Jul 26, 2008, at 9:49 PM, Alexey Melnikov wrote:
>
>> With my server implementor hat on I would like to slightly change  
>> the meaning:
>>
>>>  - FlagChange : Track all changes, don't return UNSEEN
>>
>> I would say: track all changes, MAY return UNSEEN
>>
>>> - FlagChange (\Seen \*) : Track all changes, return UNSEEN
>>
>> "track all changes, MUST return UNSEEN"
>>
>>> - FlagChange (\Seen) : Track only \Seen changes, return UNSEEN
>>
>> "track \Seen changes, but MAY return all changes (so that it is  
>> easier for servers to implement)
>
> Why is it easier to implement?

Because a server might not record which flag changed, only "when" they 
changed.

> Anyway I don't mind these changes.

As per discussion in Dublin, I think we should leave this till a 
possible later extension.

To the WG: if you think this decision is a mistake, please speak up now!

_______________________________________________
lemonade mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/lemonade
Supplemental Web Site:
http://www.standardstrack.com/ietf/lemonade